#pragma once
#include "move.h"
#include <array>

class Board
{
public:
   Board();

   void print() const;
   bool isFree(int, int) const;
   void set(const Move&);
   bool hasWin(Color) const;
   bool isFull() const;

private:
   enum class State { empty, white, black };

   std::array<std::array<State, 3>, 3> fields_;
};
